    /*
     *  call-seq:
     *     index_reader.num_docs -> number
     *
     *  Returns the number of accessible (not deleted) documents in the index.
     *  This will be equal to IndexReader#max_doc if there have been no documents
     *  deleted from the index.
     */
    static VALUE
    frb_ir_num_docs(VALUE self)
    {
        IndexReader *ir = (IndexReader *)DATA_PTR(self);
        return INT2FIX(ir->num_docs(ir));
    }